# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::FileStreamInput Class Reference

Picture input class. More...

`#include <pic_io.h>`

Inheritance diagram for dirac::FileStreamInput:

[legend]
Collaboration diagram for dirac::FileStreamInput:

[legend]

List of all members.

## Public Member Functions

- FileStreamInput (const char *input_name, const SeqParams &sparams)
    Constructor.
- virtual ~FileStreamInput ()
    Destructor.
- virtual void Skip (const int n)
    Skip n frames of input.

## Detailed Description

Class for reading picture data from a file.

## Constructor & Destructor Documentation

dirac::FileStreamInput::FileStreamInput | ( | const char * | input_name,
|  | const SeqParams & | sparams |
| ) |  |  |

Constructor, takes

Parameters:

  | input_name | the name of the input picture file
  | sparams | the sequence parameters

virtual dirac::FileStreamInput::~FileStreamInput | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void dirac::FileStreamInput::Skip | ( | const int | n | ) | `[virtual]`

Implements dirac::StreamPicInput.

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.